
#include <iostream>
#include <ratio>

template<long n, long d>
std::ostream & operator << (std::ostream &o, std::ratio<n,d> r) {
    return o << n << '/' << d;
}

int main()
{
    typedef std::ratio<2, 3> two_third;
    typedef std::ratio<1, 6> one_sixth;
    typedef std::ratio_add<two_third, one_sixth> sum;
//    two_third x; std::cout << x << '\n';
    std::cout << "2/3 + 1/6 = " << sum::num << '/' << sum::den << '\n';
}


