
// constexpr errors

//#define ERR

#include <limits>
#include <bitset>
#include <iostream>

int x, y, z[20];

#ifdef ERR
constexpr double d1 = 2.0 / 0.0;        // error
constexpr int n2 = std::numeric_limits<int>::max() + 1; // error
constexpr auto e1 = &y - &x;            // error
#endif

const     double d2 = 2.0 / 0.0;        // double infinity

constexpr int n1 = std::numeric_limits<int>::max();
const     int n3 = std::numeric_limits<int>::max() + 1; // UB?

const     auto e2 = &y - &x;            // depends on memory layout
constexpr auto e3 = &z[20] - &z[0];

constexpr std::bitset<2> a;
constexpr bool b1 = a[1];
constexpr bool b2 = a[2]; // UB, but unspecified if detected

int main() {
    std::cout << d2 << '\n';
    std::cout << n1 << '\n';
    std::cout << n3 << '\n';
    std::cout << e2 << '\n';
    std::cout << e3 << '\n';
    std::cout << b2 << '\n';
}
